net.sf.okapi.lib.xliff2.its

## Class Provenance

- java.lang.Object
- - net.sf.okapi.lib.xliff2.its.DataCategory
  - - net.sf.okapi.lib.xliff2.its.Provenance

- All Implemented Interfaces:
    IITSItem

      public class Provenance
      extends DataCategory

  Implements the Provenance data category.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Provenance()` Creates a new `Provenance` object without initial data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IITSItem` | `createCopy()` Creates a deep-copy clone of this item.
    `java.lang.String` | `getDataCategoryName()` Gets the id/name of this data category.
    `java.lang.String` | `getOrg()`
    `java.lang.String` | `getOrgRef()`
    `java.lang.String` | `getPerson()`
    `java.lang.String` | `getPersonRef()`
    `java.lang.String` | `getProvRef()`
    `java.lang.String` | `getRevOrg()`
    `java.lang.String` | `getRevOrgRef()`
    `java.lang.String` | `getRevPerson()`
    `java.lang.String` | `getRevPersonRef()`
    `java.lang.String` | `getRevTool()` Gets the revision tool attribute.
    `java.lang.String` | `getRevToolRef()`
    `java.lang.String` | `getTool()` Gets the tool attribute.
    `java.lang.String` | `getToolRef()`
    `java.lang.String` | `getUnresolvedGroupRef()`
    `boolean` | `hasUnresolvedGroup()` Indicates if this item has currently a reference to a stand-off element that has not been resolved yet.
    `void` | `setOrg(java.lang.String org)`
    `void` | `setOrgRef(java.lang.String orgRef)`
    `void` | `setPerson(java.lang.String person)`
    `void` | `setPersonRef(java.lang.String personRef)`
    `void` | `setProvRef(java.lang.String provRef)`
    `void` | `setRevOrg(java.lang.String revOrg)`
    `void` | `setRevOrgRef(java.lang.String revOrgRef)`
    `void` | `setRevPerson(java.lang.String revPerson)`
    `void` | `setRevPersonRef(java.lang.String revPersonRef)`
    `void` | `setRevTool(java.lang.String revTool)` sets a new revision tool attribute.
    `void` | `setRevToolRef(java.lang.String revToolRef)`
    `void` | `setTool(java.lang.String tool)` Sets a new tool attribute.
    `void` | `setToolRef(java.lang.String toolRef)`
    `void` | `setUnresolvedGroupRef(java.lang.String unresolvedGroupRef)`
    `void` | `validate()` Validates the data category.

    - ### Methods inherited from class net.sf.okapi.lib.xliff2.its.DataCategory

      `getAnnotatorRef, isGroup, setAnnotatorRef, setAnnotatorRef`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Provenance

          public Provenance()

      Creates a new `Provenance` object without initial data.

  - ### Method Detail

    - #### getDataCategoryName

          public java.lang.String getDataCategoryName()

      Description copied from interface: `IITSItem`
      Gets the id/name of this data category.
      Returns:
        the id/name of this data category.

    - #### validate

          public void validate()

      Description copied from interface: `IITSItem`
      Validates the data category. Checks if all required attributes are set properly.

    - #### hasUnresolvedGroup

          public boolean hasUnresolvedGroup()

      Description copied from interface: `IITSItem`
      Indicates if this item has currently a reference to a stand-off element that has not been resolved yet.

      This occurs for example when a unit element has a reference to a set of Provenance instances and the stand-off element has not been read yet (because the reading of the unit's element is done after the reading of its attributes.

      Specified by:
        `hasUnresolvedGroup` in interface `IITSItem`
      Overrides:
        `hasUnresolvedGroup` in class `DataCategory`
      Returns:
        true if this item has currently an unresolved reference to a stand-off element.

    - #### createCopy

          public IITSItem createCopy()

      Description copied from interface: `IITSItem`
      Creates a deep-copy clone of this item.
      Returns:
        the duplicated item.

    - #### getUnresolvedGroupRef

          public java.lang.String getUnresolvedGroupRef()

    - #### setUnresolvedGroupRef

          public void setUnresolvedGroupRef(java.lang.String unresolvedGroupRef)

    - #### getTool

          public java.lang.String getTool()

      Gets the tool attribute.
      Returns:
        the tool attribute (can be null).

    - #### setTool

          public void setTool(java.lang.String tool)

      Sets a new tool attribute.
      Parameters:
        `tool` - the new tool attribute (can be null).

    - #### getToolRef

          public java.lang.String getToolRef()

    - #### setToolRef

          public void setToolRef(java.lang.String toolRef)

    - #### getRevTool

          public java.lang.String getRevTool()

      Gets the revision tool attribute.
      Returns:
        the revision tool attribute (can be null).

    - #### setRevTool

          public void setRevTool(java.lang.String revTool)

      sets a new revision tool attribute.
      Parameters:
        `revTool` - the new revision tool attribute.

    - #### getRevToolRef

          public java.lang.String getRevToolRef()

    - #### setRevToolRef

          public void setRevToolRef(java.lang.String revToolRef)

    - #### getOrg

          public java.lang.String getOrg()

    - #### setOrg

          public void setOrg(java.lang.String org)

    - #### getOrgRef

          public java.lang.String getOrgRef()

    - #### setOrgRef

          public void setOrgRef(java.lang.String orgRef)

    - #### getRevOrg

          public java.lang.String getRevOrg()

    - #### setRevOrg

          public void setRevOrg(java.lang.String revOrg)

    - #### getRevOrgRef

          public java.lang.String getRevOrgRef()

    - #### setRevOrgRef

          public void setRevOrgRef(java.lang.String revOrgRef)

    - #### getPerson

          public java.lang.String getPerson()

    - #### setPerson

          public void setPerson(java.lang.String person)

    - #### getPersonRef

          public java.lang.String getPersonRef()

    - #### setPersonRef

          public void setPersonRef(java.lang.String personRef)

    - #### getRevPerson

          public java.lang.String getRevPerson()

    - #### setRevPerson

          public void setRevPerson(java.lang.String revPerson)

    - #### getRevPersonRef

          public java.lang.String getRevPersonRef()

    - #### setRevPersonRef

          public void setRevPersonRef(java.lang.String revPersonRef)

    - #### getProvRef

          public java.lang.String getProvRef()

    - #### setProvRef

          public void setProvRef(java.lang.String provRef)